﻿using System;
using Infragistics.Win;
using Infragistics.Win.UltraWinSchedule.Printing;

namespace UltraScheduleCustomPring
{
    internal class CF : IUIElementCreationFilter
    {
        public void AfterCreateChildElements(UIElement parent)
        {
            if(parent is DateHeaderAreaUIElement)
            {
                var dateHeaderAreaDateElement = parent.GetDescendant(typeof(DateHeaderAreaDateUIElement)) as DateHeaderAreaDateUIElement;
                if(dateHeaderAreaDateElement != null)
                {
                    var originalText = dateHeaderAreaDateElement.Text;
                    DateTime date;
                    var succeed = DateTime.TryParse(originalText,out date);
                    if(succeed)
                    {
                        dateHeaderAreaDateElement.Text = date.ToString("MMM yyyy");
                    }
                    else
                    {
                        dateHeaderAreaDateElement.Text = string.Empty;
                    }
                }

                var dateHeaderDayNameElement = parent.GetDescendant(typeof(DateHeaderDayNameUIElement)) as DateHeaderDayNameUIElement;
                if(dateHeaderDayNameElement != null)
                    parent.ChildElements.Remove(dateHeaderDayNameElement);

                var scheduleControlPlaceHolderElement = parent.GetDescendant(typeof(ScheduleControlPlaceHolderUIElement)) as ScheduleControlPlaceHolderUIElement;
                if(scheduleControlPlaceHolderElement != null)
                    parent.ChildElements.Remove(scheduleControlPlaceHolderElement);
            }
        }

        public bool BeforeCreateChildElements(UIElement parent)
        {
            return false;
        }
    }
}